Admin A P I
Transfer server
Starts a server transfer to another node using the specified target allocations.
POST
/api/admin/servers/{server_admin_identifier}/transferAuthorization
default AuthorizationBearer <token>
Application API requests require an application API token, or a client API token, that belongs to a root administrator. Admin API requests require a client API token that belongs to a root administrator, and reject application API tokens. Client API requests require a client API token.
In: header
Path Parameters
server_admin_identifier*string
The server ID or UUID.
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/api/admin/servers/1/transfer" \ -H "Content-Type: application/json" \ -d '{ "node_id": 2, "allocation_id": 10 }'Empty